package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbageRegionExample;
import com.lightinit.hsdatashow.entity.GreenBuild;
import com.lightinit.hsdatashow.entity.GreenBuildExample;
import com.lightinit.hsdatashow.model.admin.GreenBuildModel;
import com.lightinit.hsdatashow.model.ms.GreenModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GreenBuildMapper {
    long countByExample(GreenBuildExample example);

    int deleteByExample(GreenBuildExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GreenBuild record);

    int insertSelective(GreenBuild record);

    List<GreenBuild> selectByExample(GreenBuildExample example);

    GreenBuild selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GreenBuild record, @Param("example") GreenBuildExample example);

    int updateByExample(@Param("record") GreenBuild record, @Param("example") GreenBuildExample example);

    int updateByPrimaryKeySelective(GreenBuild record);

    int updateByPrimaryKey(GreenBuild record);

    List<GreenBuildModel> getGreenBuild(@Param("year") int year);

    List<GreenModel> selectList(GarbageRegionExample example);

    long selectCount(GarbageRegionExample example);

    GreenModel findByBuildId(Long id);
}